## org.codehaus.groovy.grails.web.mapping.exceptions
Class UrlMappingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.web.mapping.exceptions.UrlMappingException

All Implemented Interfaces:
  Serializable

    public class UrlMappingException

extends GrailsException

An exception thrown when an error occurs evaluating an URL mapping

Since:
  0.5

  Created: Feb 28, 2007 Time: 6:22:38 PM
Author:
  Graeme Rocher
See Also:
  Serialized Form

Constructor Summary
`UrlMappingException(String message)`
`UrlMappingException(String message, Exception e)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UrlMappingException

    public UrlMappingException(String message)

### UrlMappingException

    public UrlMappingException(String message,
                               Exception e)

Copyright (c) 2005-2009 The Grails project